* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
}
:root {
  --color-primary: rgb(10, 25, 47);
  --color-h1: rgb(100, 255, 218);
  --color-p: rgb(204, 214, 246);
}
@font-face {
  font-family: nokia;
  src: url("nokiafc22.woff2"), url("nokiafc22.woff2") format("woff2");
}
body {
  font-family: nokia, sans-serif;
  background-color: var(--color-primary);
}
.header {
  height: 50px;
  width: 100%;
  position: absolute;
}
.nav {
  float: right;
  padding: 10px 20px;
}
.nav__link {
  display: inline-block;
  position: relative;
  text-decoration: none;
  color: var(--color-h1);
  margin: 0 10px;
}
.icon {
  display: none;
}
.nav__link:after {
  content: "";
  position: absolute;
  width: 100%;
  transform: scaleX(0);
  height: 2px;
  bottom: 0;
  left: 0;
  background-color: rgb(100, 255, 218);
  transform-origin: bottom right;
  transition: transform 0.25s ease-out;
}
.nav__link:hover:after {
  transform: scaleX(1);
  transform-origin: bottom left;
}

/* Home */
.home {
  display: flex;
  flex-direction: column-reverse;
  height: 100vh;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding-top: 4rem;
}
.flex-item-left {
  margin: 1rem;
}
.flex-item-left > h1 {
  color: var(--color-h1);
}
.flex-item-left > p {
  color: var(--color-p);
  line-height: 30px;
}
.flex-item-right > img {
  margin-top: 2rem;
  height: 200px;
  width: 200px;
}

/* Preview */
.preview {
  height: 350px;
  width: 100%;
  display: grid;
  margin-top: 2rem;
}
.slider {
  height: 300px;
  margin: auto;
  position: relative;
  width: 100%;
  display: grid;
  place-items: center;
  overflow: hidden;
}
.slide-track {
  display: flex;
  width: calc(300px * 20);
  animation: scroll 40s linear infinite;
}
.slide-track:hover {
  animation-play-state: running;
}
@keyframes scroll {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(calc(-250px * 10));
  }
}
.slide {
  height: 300px;
  width: 300px;
  display: flex;
  align-items: center;
  padding: 15px;
  perspective: 100px;
}
.slide > img {
  width: 100%;
  transition: transform 1s;
}
/* .slide > img:hover {
  transform: translateZ(10px);
} */
.slider::before,
  .slider:: after {
  content: "";
}
.slider::before {
  left: 0;
  top: 0;
  transform: rotateZ(180deg);
}
.slider::after {
  right: 0;
  top: 0;
}

/* Roadmap */
#section--2 {
  min-height: 100vh;
  width: 100%;
  margin-top: 2rem;
  display: flex;
  justify-content: center;
}
.roadmap {
  width: 80%;
  /* border-left-style: solid;
  border-color: var(--color-h1); */
}
.content {
  padding-left: 1rem;
  padding-bottom: 2rem;
  border-left-style: solid;
  border-color: var(--color-h1);
}
#heading {
  text-align: center;
  font-size: 2rem;
  color: var(--color-h1);
  margin-top: 20px;
  padding-bottom: 10px;
}
.content > h1 {
  font-size: 1rem;
  color: var(--color-p);
}
.content > h2 {
  color: rgb(136, 146, 176);
}
.content > p {
  color: rgb(136, 146, 176);
}
.content > img {
  height: 100px;
  width: 100px;
  margin: 10px 10px 0 10px;
  border-radius: 50%;
}

#utility {
  min-height: 80vh;
  width: 100%;
  margin-top: 4rem;
}
.utility_container {
  display: flex;
  justify-content: center;
  align-items: center;
  /* flex-direction: column; */
  justify-content: space-evenly;
  flex-wrap: wrap;
}
.utility-card {
  padding-top: 5rem;
  height: 300px;
  width: 250px;
}
.utility-card img {
  height: 200px;
  width: 200px;
  border-radius: 50%;
}
.utility-card p {
  color: var(--color-p);
  padding-top: 10px;
}

/* Team */
#team {
  min-height: 80vh;
  /* height: auto; */
  width: 100%;
  padding-top: 8rem;
}
.team_container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  margin-top: 4rem;
}
.team_container > img {
  height: 200px;
  width: 200px;
}
.team_container > h2 {
  margin-top: 2rem;
  color: rgb(136, 146, 176);
  font-size: 1.5rem;
}
.team_container > h2 > span {
  color: var(--color-p);
}

/* FAQ */
#faq {
  height: 100vh;
  width: 100%;
  padding-top: 2rem;
  display: flex;
  justify-content: center;
}
.faq_container {
  width: 80%;
}
.questions {
  padding-top: 2rem;
  border-style: dashed;
  border-color: rgb(100, 255, 218);
}
.questions > h2 {
  color: rgb(136, 146, 176);
  margin-left: 1rem;
  font-size: 1rem;
  text-align: start;
}
.questions > h2 > span {
  color: rgb(100, 255, 218);
  /* margin-left: 2rem; */
}
.questions > p {
  color: rgb(204, 214, 246);
  margin-top: 1rem;
  margin-bottom: 3rem;
  margin-left: 2rem;
}

/* footer */
#footer {
  height: 50vh;
  width: 100%;
  margin-top: 8rem;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.links > a {
  font-family: nokia, sans-serif;
  letter-spacing: 2px;
  text-decoration: none underline;
  font-size: 20px;
  margin: 0 20px;
  color: rgb(204, 214, 246);
}
.links > a:hover {
  color: rgb(100, 255, 218);
}
.reveal {
  position: relative;
  transform: translateY(100px);
  opacity: 0;
  transition: all 1s ease;
}

.reveal.active {
  transform: translateY(0px);
  opacity: 1;
}

@media only screen and (min-width: 768px) {
  /* Nav bar */
  header {
    position: absolute;
    height: 50px;
    width: 100%;
  }
  .nav {
    float: right;
    padding: 20px;
  }
  .nav a {
    font-family: nokia, sans-serif;
    letter-spacing: 2px;
    text-decoration: none;
    font-size: 20px;
    margin: 0 20px;
    color: rgb(100, 255, 218);
  }
  .nav__link {
    display: inline-block;
    position: relative;
  }
  .icon {
    display: inline;
  }
  /* Home */
  .home {
    display: flex;
    flex-direction: row;
    margin: auto;
    height: 100vh;
    justify-content: center;
    align-items: center;
    text-align: center;
  }
  .flex-item-left {
    flex: 50%;
    padding-left: 3rem;
  }
  .flex-item-left > h1 {
    color: rgb(100, 255, 218);
    font-size: 5rem;
    padding-bottom: 1rem;
  }
  .flex-item-left > p {
    color: rgb(204, 214, 246);
    font-size: 1rem;
  }
  .flex-item-right {
    flex: 50%;
    padding-left: 4rem;
  }
  .flex-item-right > img {
    height: 300px;
    width: 300px;
  }

  .slide > img:hover {
    transform: translateZ(10px);
  }
  .slide-track:hover {
    animation-play-state: paused;
  }

  /* Attributes */

  /* Roadmap */
  #section--2 {
    /* height: 100vh; */
    width: 100%;
    padding-top: 2rem;
    display: flex;
    justify-content: center;
  }
  .roadmap {
    width: 80%;
    /* border-left-style: solid;
    border-color: rgb(100, 255, 218); */
  }
  .content {
    padding-left: 1rem;
    padding-bottom: 2rem;
    border-left-style: solid;
    border-color: var(--color-h1);
  }
  #heading {
    text-align: center;
    font-size: 3rem;
    color: rgb(100, 255, 218);
    padding-top: 10px;
    padding-bottom: 10px;
  }
  .content > h1 {
    color: rgb(204, 214, 246);
  }
  .content > h2 {
    color: rgb(136, 146, 176);
  }
  .content > p {
    color: rgb(136, 146, 176);
  }
  .content > img {
    height: 100px;
    width: 100px;
    margin: 10px 10px 0 10px;
    border-radius: 50%;
  }

  #team {
    padding-top: 2rem;
  }
  .team_container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin-top: 4rem;
  }
  .team_container > h2 {
    margin-top: 2rem;
    color: rgb(136, 146, 176);
    font-size: 2rem;
  }
  .team_container > img {
    height: 300px;
    width: 300px;
  }

  /* FAQ */
  #faq {
    height: 100vh;
    width: 100%;
    margin-top: 2rem;
    display: flex;
    justify-content: center;
  }
  .faq_container {
    width: 80%;
  }
  .questions {
    padding-top: 2rem;
    border-style: dashed;
    border-color: rgb(100, 255, 218);
  }
  .questions > h2 {
    color: rgb(136, 146, 176);
    margin-left: 2rem;
  }
  .questions > h2 > span {
    color: rgb(100, 255, 218);
    margin-left: 2rem;
  }
  .questions > p {
    color: rgb(204, 214, 246);
    margin-top: 1rem;
    margin-bottom: 3rem;
    margin-left: 4rem;
  }

  #footer {
    /* background-color: white; */
    height: 20vh;
    width: 100%;
  }
  .links > a {
    font-family: nokia, sans-serif;
    letter-spacing: 2px;
    text-decoration: none underline;
    font-size: 20px;
    margin: 0 20px;
    /* padding: 0; */
    color: rgb(204, 214, 246);
  }
  .links > a:hover {
    color: rgb(100, 255, 218);
  }
}

@media (min-width: 1920px) {
  .nav a {
    font-size: 2rem;
  }
  .flex-item-left h1 {
    font-size: 6rem;
  }
  .flex-item-left p {
    font-size: 1.5rem;
    line-height: 35px;
  }
  .flex-item-right img {
    width: 400px;
    height: 400px;
  }
  #heading {
    font-size: 4rem;
  }
  .content h1 {
    font-size: 2rem;
  }
  .content p {
    font-size: 1.5rem;
  }
  .utility-card p {
    font-size: 1.5rem;
  }
  #utility {
    min-height: 60vh;
  }
  #team {
    min-height: 60vh;
  }
  #faq {
    min-height: 50vh;
  }
  .questions h2 {
    font-size: 2rem;
  }
  .questions p {
    font-size: 1.5rem;
  }
  #footer {
    margin: 0;
    height: 20vh;
    width: 100%;
    /* margin-top: rem; */
  }
  .links a {
    font-size: 2rem;
  }
}
